Replace PHP4 -> PHP since we also support upcoming PHP versions
authorkink <kink@7612ce4b-ef26-0410-bec9-ea0150e637f0>
Wed, 3 Aug 2005 21:32:39 +0000 (21:32 +0000)
committerkink <kink@7612ce4b-ef26-0410-bec9-ea0150e637f0>
Wed, 3 Aug 2005 21:32:39 +0000 (21:32 +0000)
(at least we wish to support them).

git-svn-id: https://svn.code.sf.net/p/squirrelmail/code/trunk/squirrelmail@9901 7612ce4b-ef26-0410-bec9-ea0150e637f0

INSTALL
README
UPGRADE
contrib/RPM/squirrelmail.spec
help/en_US/FAQ.hlp
src/webmail.php

diff --git a/INSTALL b/INSTALL
index 5a75c96..11b11d7 100644 (file)
--- a/INSTALL
+++ b/INSTALL
@@ -3,7 +3,7 @@ Installing SquirrelMail
 
 Table of Contents:
   0.  (QUICK!)   Quick install guide
-  1.  (PHP4)     Configure your webserver to work with PHP4
+  1.  (PHP)      Configure your webserver to work with PHP
   2.  (IMAP)     Setting up IMAP (not covered)
   3.  (INSTALL)  Obtaining and installing SquirrelMail
   4.  (RUN)      Running SquirrelMail
@@ -17,7 +17,7 @@ Table of Contents:
 
 Each of these steps is covered in detail below.
 
-- Install webserver and PHP4 (at least 4.1.0).
+- Install webserver and PHP (at least 4.1.0).
 - Install IMAP server (see docs of that server).
 - Unpack the SquirrelMail package in a web-accessible location.
 - Select a data-dir and attachment dir, outside the webtree (e.g. in /var).
@@ -33,12 +33,12 @@ Each of these steps is covered in detail below.
 - Browse to http://www.example.com/yourwebmaillocation/ to log in.
 
 
-1. CONFIGURE YOUR WEBSERVER TO WORK WITH PHP4
----------------------------------------------
+1. CONFIGURE YOUR WEBSERVER TO WORK WITH PHP
+--------------------------------------------
 
   If your webserver does not already have PHP you must configure it
   to work with PHP. You need at least PHP v4.1.0. SquirrelMail uses
-  the standard suffix .php for all PHP4 files.
+  the standard suffix .php for all PHP files.
 
   You can find PHP at http://www.php.net. See the documentation that
   comes with PHP for instructions how to set it up.
diff --git a/README b/README
index f64c79b..d278b46 100644 (file)
--- a/README
+++ b/README
@@ -3,7 +3,7 @@ http://www.squirrelmail.org
 
 Introduction:
 -------------
-SquirrelMail is a standards-based webmail package written in PHP4. It
+SquirrelMail is a standards-based webmail package written in PHP. It
 includes built-in pure PHP support for the IMAP and SMTP protocols, and all
 pages render in pure HTML 4.0 (with no Javascript) for maximum compatibility
 across browsers. It has very few requirements and is very easy to configure
@@ -17,7 +17,7 @@ Obviously a web interface is ideal for this, given that the user has access
 to the Internet.  After reviewing several open source projects, we realized
 that we were going to need to do some fairly major customizations to get
 things to be a nice fit for our needs.  So the decision was made to create
-our own for some of these reasons, and for fun (we really like PHP4).  We
+our own for some of these reasons, and for fun (we really like PHP).  We
 decided to open source the project to contribute to the community that has
 contributed so much to us.  Since then, it has grown much bigger than we
 ever imagined, and we have an awesome development team who are actively
diff --git a/UPGRADE b/UPGRADE
index ee77526..f883693 100644 (file)
--- a/UPGRADE
+++ b/UPGRADE
@@ -7,9 +7,9 @@ using a previous version (0.1 or 0.2), it is suggested that you just start
 from scratch and configure your settings as if it was your first install.
 
 NOTE: The new plugin architecture required the use of some functions which
-are not in all versions of PHP4. You will need at least PHP 4.1.0. If you
+are not in all versions of PHP. You will need at least PHP 4.1.0. If you
 need to upgrade please go ahead and install the latest release version of
-PHP4.
+PHP.
 
 
 1.  Backup old install
index 96504ca..c069771 100644 (file)
@@ -27,13 +27,13 @@ Group: Applications/Internet
 Source: %{name}-%{version}.tar.bz2
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
 BuildArch: noarch
-Requires: %{webserver}, php >= 4.0.4, perl, tmpwatch >= 2.8, aspell
+Requires: %{webserver}, php >= 4.1.0, perl, tmpwatch >= 2.8, aspell
 Requires: /usr/sbin/sendmail
 Prereq: %{webserver}, perl
 BuildPrereq: perl
 
 %description
-SquirrelMail is a standards-based webmail package written in PHP4. It
+SquirrelMail is a standards-based webmail package written in PHP. It
 includes built-in pure PHP support for the IMAP and SMTP protocols, and
 all pages render in pure HTML 4.0 (with no Javascript) for maximum
 compatibility across browsers.  It has very few requirements and is very
index 47cc2db..f7c698d 100644 (file)
       <p>
       SquirrelMail uses the IMAP protocol, info on it can be found 
       <a href="http://imap.org"/>here</a>.  The program also uses 
-      its own IMAP functions, not those built in to PHP4.  This won't 
+      its own IMAP functions, not those built in to PHP.  This won't 
       matter to anybody except those responsible for installing it, 
       but trust us when we say they appreciate it.
       </p>
index aaad5e5..b380b9d 100644 (file)
@@ -90,7 +90,7 @@ $output = "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Frameset//EN\">\n".
 if ($err==2) {
     echo $output.
          "<body>\n".
-         "<p>You need to have php4 installed with the multibyte string function \n".
+         "<p>You need to have PHP installed with the multibyte string function \n".
          "enabled (using configure option --enable-mbstring).</p>\n".
          "<p>System assumed that you accidently switched to Japanese translation \n".
          "and reverted your language preference to English.</p>\n".
@@ -183,4 +183,4 @@ echo $output;
 
 ?>
 </frameset>
-</html>
\ No newline at end of file
+</html>